Package org.pushingpixels.substance.flamingo.ribbon.ui

# Class SubstanceRibbonUI.SubstanceRibbonLayout

java.lang.Object
org.pushingpixels.substance.flamingo.ribbon.ui.SubstanceRibbonUI.SubstanceRibbonLayout

All Implemented Interfaces:
  `LayoutManager`

Enclosing class:
  `SubstanceRibbonUI`

protected class SubstanceRibbonUI.SubstanceRibbonLayout extends Object

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`SubstanceRibbonLayout()`

## Method Summary

Modifier and Type
Method
Description
`void`
`layoutContainer(Container c)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SubstanceRibbonLayout

protected SubstanceRibbonLayout()

## Method Details

### layoutContainer

public void layoutContainer(Container c)

Specified by:
  `layoutContainer` in interface `LayoutManager`